## owncloud-client-desktop-shell-integration-dolphin 5.0.0

=== CMakeLists.txt ===
project(dolphin-owncloud)

cmake_minimum_required(VERSION 3.16)

include(FeatureSummary)

set(QT_MIN_VERSION "5.9.7")
set(KF5_MIN_VERSION "5.52.0")

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Network)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons KIO)

set_package_properties(DolphinVcs PROPERTIES
    DESCRIPTION "the Dolphin plugin library"
    URL "http://dolphin.kde.org/"
    TYPE REQUIRED
    PURPOSE "Provides plugin interfaces for Dolphin."
)

set(KDE_INSTALL_DIRS_NO_DEPRECATED TRUE)
include(KDEInstallDirs)
# kcoreaddons_add_plugin uses deprecated VAR PLUGIN_INSTALL_DIR
# when that is fixed and you want to remove this workaround,
# you need to _require_ the new enough kcoreaddons
set(PLUGIN_INSTALL_DIR "${KDE_INSTALL_PLUGINDIR}")
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMMarkNonGuiExecutable)
include(GenerateExportHeader)

set(APPLICATION_NAME       "ownCloud" CACHE STRING "Branding parameter")
set(APPLICATION_SHORTNAME  "ownCloud" CACHE STRING "Branding parameter")
set(APPLICATION_EXECUTABLE "owncloud" CACHE STRING "Branding parameter")

add_subdirectory(src)

=== src/CMakeLists.txt ===
#---HELPER---
set(OWNCLOUDDOLPHINHELPER ${APPLICATION_EXECUTABLE}dolphinpluginhelper)
add_library(${OWNCLOUDDOLPHINHELPER} SHARED ownclouddolphinpluginhelper.cpp)
target_link_libraries(${OWNCLOUDDOLPHINHELPER} Qt5::Network Qt5::Gui)
generate_export_header(${OWNCLOUDDOLPHINHELPER} BASE_NAME ownclouddolphinpluginhelper)
install(TARGETS ${OWNCLOUDDOLPHINHELPER} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
target_compile_definitions(${OWNCLOUDDOLPHINHELPER} PRIVATE QT_USE_QSTRINGBUILDER APPLICATION_SHORTNAME="${APPLICATION_SHORTNAME}")

#---OVERLAY PLUGIN---
set(OWNCLOUDDOLPHINOVERLAYPLUGIN ${APPLICATION_EXECUTABLE}dolphinoverlayplugin)
kcoreaddons_add_plugin(${OWNCLOUDDOLPHINOVERLAYPLUGIN} INSTALL_NAMESPACE "kf5/overlayicon"
                       JSON ownclouddolphinoverlayplugin.json SOURCES ownclouddolphinoverlayplugin.cpp)
target_link_libraries(${OWNCLOUDDOLPHINOVERLAYPLUGIN} KF5::CoreAddons KF5::KIOCore KF5::KIOWidgets ${OWNCLOUDDOLPHINHELPER})

#---ACTION PLUGIN---
set(OWNCLOUDDOLPHINACTIONPLUGIN ${APPLICATION_EXECUTABLE}dolphinactionplugin)
add_library(${OWNCLOUDDOLPHINACTIONPLUGIN} MODULE ownclouddolphinactionplugin.cpp)
target_link_libraries(${OWNCLOUDDOLPHINACTIONPLUGIN} KF5::CoreAddons KF5::KIOCore KF5::KIOWidgets ${OWNCLOUDDOLPHINHELPER})
configure_file(ownclouddolphinactionplugin.desktop.in ${OWNCLOUDDOLPHINACTIONPLUGIN}.desktop ESCAPE_QUOTES @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${OWNCLOUDDOLPHINACTIONPLUGIN}.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(TARGETS ${OWNCLOUDDOLPHINACTIONPLUGIN} DESTINATION ${KDE_INSTALL_PLUGINDIR})

=== debian/changelog ===
owncloud-client-desktop-shell-integration-dolphin (5.0.0-2) unstable; urgency=medium

  * d/copyright: Fix GPL-2 to GPL-2+

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 08 Mar 2024 18:33:00 +0100

owncloud-client-desktop-shell-integration-dolphin (5.0.0-1) unstable; urgency=medium

  * Initial package (Closes: #1064355)

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 22 Feb 2024 16:35:50 +0100

=== debian/control ===
Source: owncloud-client-desktop-shell-integration-dolphin
Section: net
Priority: optional
Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <peb@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libkf5kio-dev,
               qtbase5-dev
Vcs-Git: https://salsa.debian.org/owncloud-team/owncloud-client-desktop-shell-integration-dolphin.git
Vcs-Browser: https://salsa.debian.org/owncloud-team/owncloud-client-desktop-shell-integration-dolphin
Standards-Version: 4.6.2
Homepage: https://github.com/owncloud/client-desktop-shell-integration-dolphin

Package: dolphin-owncloud
Architecture: any
Multi-Arch: same
Section: kde
Depends: dolphin,
         owncloud-client,
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: dolphin
Description: ownCloud integration for Dolphin
 The ownCloudSync system lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 Dolphin ownCloud is an extension that integrates the ownCloud web service with
 your Plasma Desktop (KDE).

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/owncloud/client-desktop-shell-integration-dolphin/tags \
.*[^n]/(?:|v|version-|r|REL_|rel-|(?:client-desktop-shell-integration-dolphin)(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
